Create a customer address
curl --request POST \
--url https://api.craveup.com/api/v1/storefront/customer/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"fullAddress": "<string>",
"line1": "<string>",
"lat": 0,
"lng": 0,
"line2": "<string>",
"line3": "<string>"
}
'import requests
url = "https://api.craveup.com/api/v1/storefront/customer/addresses"
payload = {
"fullAddress": "<string>",
"line1": "<string>",
"lat": 0,
"lng": 0,
"line2": "<string>",
"line3": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
fullAddress: '<string>',
line1: '<string>',
lat: 0,
lng: 0,
line2: '<string>',
line3: '<string>'
})
};
fetch('https://api.craveup.com/api/v1/storefront/customer/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fullAddress": "<string>",
"line1": "<string>",
"line2": "<string>",
"line3": "<string>",
"lat": 0,
"lng": 0,
"addressId": "<string>",
"revision": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}Customers
Create a customer address
POST
/
customer
/
addresses
Create a customer address
Authorizations
Merchant-bound customer session JWT returned by OTP verification.
Headers
Caller-stable key reused only for retries of this exact request.
Required string length:
16 - 128Pattern:
^[A-Za-z0-9._:-]{16,128}$Body
application/json
Response
Created address.
Required string length:
1 - 500Required string length:
1 - 200Required range:
-90 <= x <= 90Required range:
-180 <= x <= 180Required string length:
1 - 128Required range:
0 <= x <= 9007199254740991Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$⌘I